For the complete documentation index, see llms.txt. This page is also available as Markdown.

Returns a list of placements

Returns a list of all placements

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Returns a list of all placements"

Returns a list of placements

Special character restriction

Special characters are currently not allowed in the namespace and environment fields due to backend validation. This limitation will be addressed in the upcoming release.

Returns a list of placements

get
/placements

Returns a list of all placements

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT token must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header.

Bearer xxx.yyy.zzz

Query parameters
namespacestringRequired

The namespace to use for the request

environmentstring · max: 200Required

The environment to use for the request

sortstring · max: 200Optional

Sort the results by the given fields. The below fields are supported format:

Fieldorder
adGenIdasc, desc
displayNameasc, desc
Example: adGenId asc, displayName asc
catalogIdstringOptional
campaignTypestring · enumOptional

The type of campaign supported by Citrus Ad

Possible values:
campaignTargetstring · enumOptional

Targeting strategy for campaigns

Example: SEARCH_ONLYPossible values:
includeArchivedbooleanOptional
limitinteger · min: 1 · max: 100OptionalDefault: 20
offsetinteger · max: 10000OptionalDefault: 0
Responses
200

Expected response to a valid request

application/json
get/placements
GET /v1/placements?namespace=text&environment=text HTTP/1.1
Host: api.citrusad.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "links": {
    "next": "text"
  },
  "placements": [
    {
      "adGenId": "homepage-search",
      "archived": false,
      "blockedFilters": [
        "text"
      ],
      "campaignTypes": [
        "BANNER"
      ],
      "catalogIds": [
        "b63d2b1f-7d66-45da-aa87-69cd60b4b91a"
      ],
      "customTooltipText": "text",
      "displayName": "Search",
      "id": "fb7c7394-1839-4302-ba1c-5feb7c256957",
      "namespace": "app",
      "targeting": {
        "campaignTarget": "SEARCH_ONLY",
        "categoryConfig": {
          "customTargetedCategoriesAllowed": true
        },
        "customTargetedLocationsAllowed": true,
        "searchConfig": {
          "customSearchTermAllowed": false,
          "searchTermTypeLabel": "label",
          "suggestedSearchTermEnabled": true,
          "suggestedSearchTermType": "ORGANIC"
        }
      }
    }
  ]
}